# ingenico_device

A Flutter Package for Ingenico mPOS Device Connection. Support for Ingenico SDK Version 2.8.0.

# Ingenico 

<p align="left">
<a href="https://pub.dev/packages/ingenico_device/"><img src="https://img.shields.io/pub/v/ingenico_device" alt="Pub"></a>
<a href="https://opensource.org/licenses/MIT"><img src="https://img.shields.io/badge/license-MIT-purple.svg" alt="License: MIT"></a>
</p>


#### initialize()
_Initialize Ingenico SDK with your API Key, API Base URL and Client Version._

``` 
await IngenicoDevice.ingenicoInitialize("API-KEY", "https://uatmcm.roamdata.com/", "4.2.3");
```

#### login()
_Login to validate authenticity for API access with username and password._

``` 
await IngenicoDevice.ingenicoLogin("UserName", "Password");
```

#### setDeviceType()
_Set the Device Type for the app to use. The application sets the device to `RUADeviceTypeRP750x` and this method allows you to overwrite it to any of the [Supported Devices](#supported-devices)._

```
await IngenicoDevice.setDeviceType();
```

#### setupDevice()
_Finalizes setup of a selected and intialized device from either ``connect()``_or ``selectDevice()``. Please note this also requires that you are logged in to the API._

```
await IngenicoDevice.setUpDevice();
```
#### search()
_Search for Ingenico MOB55 device

```
await IngenicoDevice.search();
```
#### processCreditSaleTransactionWithCardReader(CreditSaleTransactionRequest)
_Processes a Credit Card transaction._

```
await IngenicoDevice.creditSale("INR", 1000);
```
